import os

from decouple import AutoConfig

# Load environment variables from .env file if one was specified
env_path = os.getenv("ENV_PATH")
if env_path:
    config = AutoConfig(search_path=env_path)
else:
    config = AutoConfig()


ROUTERS_REDIS_KEY = config("ROUTERS_REDIS_KEY")
REDIS_HOST = config("REDIS_HOST")
REDIS_PORT = config("REDIS_PORT", default=6379, cast=int)
REDIS_DB = config("REDIS_DB", default=0, cast=int)
REDIS_USER = config("REDIS_USER")
REDIS_PASSWORD = config("REDIS_PASSWORD")
